#include <bits/stdc++.h>
using namespace std;
int d[1000];
int D[1000];
int main()
{
    ifstream f1("DEMPT.inp");
    ofstream f2("DEMPT.out");
    int n,m,dem=0;
    int a[1000],b[1000];
    f1>>n;
    for(int i=0;i<n;i++){
        f1>>a[i];
        D[a[i]]++;
    }
    f1>>m;
    for(int j=0;j<m;j++){
        f1>>b[j];
        d[b[j]]++;
    }
    for(int k=0;k<m;k++){
        if(d[b[k]]>0 && D[b[k]]>0){
            dem++;
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
}
